%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qxmpp
Version:	1.4.0
Release:	%mkrel 1
Summary:	XMPP client and server library based on Qt
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/qxmpp-project/qxmpp/
Source0:	https://github.com/qxmpp-project/qxmpp/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)

%description
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

#----------------------------------------------------

%package -n	%{libname}
Summary:	XMPP client and server library based on Qt
Group:		System/Libraries
Obsoletes: lib64qxmpp0
Obsoletes: kadu


%description -n	%{libname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for QXmpp
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------

%package	doc
Summary:	Library documentation for QXmpp
Group:		Documentation
BuildArch:	noarch

%description	doc
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

This package contains library documentation for QXmpp.

%files doc
%{_docdir}/%{name}/

#----------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5 -DBUILD_DOCUMENTATION=ON

%cmake_build

%install
%cmake_install

%changelog
* Sat Oct 09 2021 tex - 1.4.0-1pclos2021
- update
